## com.puppycrawl.tools.checkstyle.checks.blocks
Class NeedBracesCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.blocks.NeedBracesCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class NeedBracesCheck

extends Check

Checks for braces around code blocks.

By default the check will check the following blocks: `LITERAL_DO`, `LITERAL_ELSE`, `LITERAL_FOR`, `LITERAL_IF`, `LITERAL_WHILE`.

An example of how to configure the check is:

     <module name="NeedBraces"/>

An example of how to configure the check for `if` and `else` blocks is:

     <module name="NeedBraces">
         <property name="tokens" value="LITERAL_IF, LITERAL_ELSE"/>
     </module>

Version:
  1.0
Author:
  Rick Giles

Constructor Summary
`NeedBracesCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeedBracesCheck

    public NeedBracesCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

Back to the Checkstyle Home Page